Subject: [BUG] pxa27x_udc: possible recursive locking detected in pxa_ep_queue

From: [email-masked] (Robert Jarzmik)
Date: Mon, 28 Dec 2009 21:23:55 +0100

Antonio Ospite <[email-masked]> writes:

> With your latest patch on top of 2.6.32 I get the "possible recursive
> locking" message at the *first* cable unplug/plug cycle, I am appending
> it here, the log is partial because I dumped it from RAM and something
> was lost.

Thanks.
Now, lets have another try. This patch is a bit saner, and though I got the
"locking detected" you noticed without it, I didn't manage to get it with this
patch applied.

As your test platform is far better than mine, would you mind a bit of testing
... again. This patch applies on top of v2.6.32.

Cheers.

--
Robert